unit PExample;

interface

	procedure TestPascal;
	
implementation

	uses
		Types, Files, Packages, Aliases, 

		InternetConfig;

	var
		inst: ICInstance;

	procedure DumpPrefs;
		var
			count: longint;
			i: longint;
			key: Str255;
	begin
		writeln('ICCountPref: ', ICCountPref(inst, count) : 1);
		for i := 1 to count do begin
			write('  ICGetIndPref: ', ICGetIndPref(inst, i, key) : 1, ' - ');
			writeln(key);
		end; (* for *)
	end; (* DumpPrefs *)

	procedure TestPascal;
		var
			err : ICError;
			emailAddress: Str255;
			attr: longint;
			size: longint;
			seed: longint;
	begin
		writeln('ICStart: ', ICStart(inst, 'CREA') : 1);		(* tell it your application creator *)
		writeln('ICFindConfigFile: ', ICFindConfigFile(inst, 0, nil) : 1);
	
		writeln('ICBegin: ', ICBegin(inst, icReadWritePerm) : 1);
		size := sizeof(emailAddress);
		err := ICGetPref(inst, kICEmail, attr, @emailAddress, size);
		writeln('ICGetPref: ', err : 1);
		if err = noErr then begin
			writeln('Your Email address is ', emailAddress);
		end; (* if *)
	
		DumpPrefs;
		writeln('ICEnd: ', ICEnd(inst) : 1);
	
		writeln('ICGetSeed: ', ICGetSeed(inst, seed) : 1, ' = ', seed : 1);
		(* now monitor this seed to see if any preferences have changed *)
	
		writeln('ICStop: ', ICStop(inst));
	end;
	
end. (* PExample *)